@echo off
echo Validating with the full ISOSTS document model...

java 2>&1 -jar "%~dp0jar/jing/bin/jing.jar" "%~dp0rng/ISOSTS.rng" "%~1"
set ISOSTSvalidate=%errorlevel%
if %ISOSTSvalidate% neq 0 goto :done

echo Confirming the ISOSTS constraints on the full model...

java 2>&1 -jar "%~dp0jar/saxon9he/saxon9he.jar" "-xsl:%~dp0Crane-ISOSTS_validation-1.1.xsl" "-s:%~1"
set ISOSTSvalidate=%errorlevel%
if %ISOSTSvalidate% neq 0 goto :done

set ISOSTSvalidate=0

:done
exit /b %ISOSTSvalidate%