<?xml version="1.0" encoding="US-ASCII"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.CraneSoftwrights.com/ns/xslstyle"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                exclude-result-prefixes="xsd xs"
                version="2.0">

<xs:doc info="$Id: Crane-isosts2fo-us-base.xsl,v 1.3 2015/06/09 15:20:15 admin Exp $"
        filename="Crane-isosts2fo-us-base.xsl" vocabulary="DocBook">
  <xs:title>ISO Standard Tag Set rendering with US-letter page geometry</xs:title>
  <para>
    This differs from the A4-size page rendering only by the page dimensions.
  </para>
  <para>
    This module is designed to be imported into other modules that define
    other properties than page dimensions.
  </para>
</xs:doc>

<!--========================================================================-->
<xs:doc>
  <xs:title>Adaptations</xs:title>
</xs:doc>

<xs:variable>
  <para>
    The page width
  </para>
</xs:variable>
<xsl:variable name="page-width" select="'8.5in'" as="xsd:string?"/>

<xs:variable>
  <para>
    The page height
  </para>
</xs:variable>
<xsl:variable name="page-height" select="'11in'" as="xsd:string?"/>

</xsl:stylesheet>
