@echo off
if "a%~1" == "a" goto :info

:retry
echo.
if exist "%~dpn1.pdf" del "%~dpn1.pdf"
if not exist "%~dpn1.pdf" goto :ready
echo.
echo Unable to delete old PDF file "%~dpn1.pdf"
echo (perhaps open read-only in another window)
pause
goto :retry
:ready

:retry2
if exist "%~dpn1.pdf.txt" del "%~dpn1.pdf.txt"
if not exist "%~dpn1.pdf.txt" goto :ready2
echo.
echo Unable to delete old summary report "%~dpn1.pdf.txt"
echo (perhaps open read-only in another window)
pause
goto :retry2
:ready2

:retry3
if exist "%~1.fo" del "%~1.fo"
if not exist "%~1.fo" goto :ready3
echo.
echo Unable to delete old intermediate file "%~1.fo"
echo (perhaps open read-only in another window)
pause
goto :retry3
:ready3

echo.
echo Invoking: "%~dp0../ahf/Crane-isosts2pdf4ahf.bat"
echo.
echo Errors to: "%~dpn1.pdf.txt"
echo (You may need to refresh the window to see the new file)
echo.
echo.
echo Working...
echo.
if "a%2" == "aus" goto :us
call "%~dp0../ahf/Crane-isosts2pdf4ahf.bat" 2>&1 >"%~dpn1.pdf.txt" "%~1" a4 "%~dpn1.pdf" 
if %errorlevel% neq 0 goto :error
goto :success
:us
call "%~dp0../ahf/Crane-isosts2pdf4ahf.bat" 2>&1 >"%~dpn1.pdf.txt" "%~1" us "%~dpn1.pdf" 
if %errorlevel% neq 0 goto :error
:success

start "" "%~dpn1.pdf"

goto :done

:error
type "%~dpn1.pdf.txt"
echo.
echo The above errors are copied to: "%~dpn1.pdf.txt"

pause
goto :done

:info
echo.
echo  This is a drag-and-drop-compatible batch file taking as input a single
echo  argument being an XML file to validate against ISOSTS constraints and
echo  then produce PDF from the XML by using Antenna House Formatter.
echo.
echo  The PDF results are placed in a PDF file in the same directory as the XML
echo  file, with the file extension ".pdf". The execution reports are placed
echo  in a text file in the same directory as the XML file, with the file
echo  extension ".pdf.txt".
echo.
pause
goto :done

:done